---
- entityDefinitions:
  - IDR_Get_Referenced_Attribute_Method__uses__Accumulation_Function: '{68888355-a162-40b3-8dd6-532bf84d219a}'
  - IDR_Accumulation_Function__used_by__Get_Referenced_Attribute_Method: '{a3af2e78-78ab-4c99-a2d2-f359aa7966cd}'
  - IDR_Get_Referenced_Attribute_Method__uses_order__Executable_returning_Attribute: '{ee8e21c4-1afc-403a-a3f0-4c1544285f5c}'
  - IDR_Executable_returning_Attribute__order_used_by__Get_Referenced_Attribute_Method: '{dec00186-e3c8-4440-ae23-dc9e91bccb49}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetReferencedAttributeMethod;'
    inherits:  '&IDC_Method;'
    name:      GRA - Get Referenced Attribute Method
    index:     18
    customTagName: getReferencedAttributeMethod
    defaultTask: '&IDI_Task_ViewGetReferencedAttributeMethod;'
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_GRA;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    relatedTasks:
    - instance: '&IDI_Task_ViewGetReferencedAttributeMethod;'
    - instance: '&IDI_Task_EditGetReferencedAttributeMethod;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Get_Referenced_Attribute_Method__returns__Attribute;'
      customTagName: 'returnsAttributeId'
    - instance: '&IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set;'
      customTagName: 'referenceInstanceSet'
    - instance: '&IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute;'
      customTagName: 'answerAttribute'

  - relationship: '&IDR_Get_Referenced_Attribute_Method__returns__Attribute;'
    index: 28
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_Attribute;'
    siblingRelationshipId: '&IDR_Attribute__returned_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Attribute__returned_by__Get_Referenced_Attribute_Method;'
    index: 29
    sourceClassId: '&IDC_Attribute;'
    type: 'returned by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__returns__Attribute;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set;'
    index: 40
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'uses reference'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Attribute_Method;'
    index: 47
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'reference used by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute;'
    index: 41
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'uses answer'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__answer_used_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__answer_used_by__Get_Referenced_Attribute_Method;'
    index: 48
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'answer used by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Attribute_Method__uses__Accumulation_Function;'
    index: 81
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'uses'
    destinationClassId: '&IDC_AccumulationFunction;'
    siblingRelationshipId: '&IDR_Accumulation_Function__used_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Accumulation_Function__used_by__Get_Referenced_Attribute_Method;'
    index: 82
    sourceClassId: '&IDC_AccumulationFunction;'
    type: 'used by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__uses__Accumulation_Function;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Attribute_Method__uses_order__Executable_returning_Attribute;'
    index: 12532
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'uses order'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__order_used_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__order_used_by__Get_Referenced_Attribute_Method;'
    index: 12533
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'used by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__uses_order__Executable_returning_Attribute;'
    singular: no